# Poco::Data

# template < class T >

# class Binding

Library: Data
Package: DataCore
Header: Poco/Data/Binding.h

## Description

A Binding maps a value to a column.

## Inheritance

Direct Base Classes: AbstractBinding

All Base Classes: AbstractBinding, Poco::RefCountedObject

## Member Summary

Member Functions: bind, canBind, numOfColumnsHandled, numOfRowsHandled, reset

Inherited Functions: bind, canBind, duplicate, getBinder, numOfColumnsHandled, numOfRowsHandled, referenceCount, release, reset, setBinder

## Constructors

### Binding

explicit Binding(
const T & val
);

Creates the Binding.

## Destructor

### ~Binding

~Binding();

Destroys the Binding.

## Member Functions

### bind

void bind(
std::size_t pos
);

See also: Poco::Data::AbstractBinding::bind()

### canBind

bool canBind() const;

See also: Poco::Data::AbstractBinding::canBind()

### numOfColumnsHandled

std::size_t numOfColumnsHandled() const;

See also: Poco::Data::AbstractBinding::numOfColumnsHandled()

### numOfRowsHandled

std::size_t numOfRowsHandled() const;

See also: Poco::Data::AbstractBinding::numOfRowsHandled()

### reset

void reset();

See also: Poco::Data::AbstractBinding::reset()